/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.text.converter.valueobject;

import java.util.Date;
import java.util.List;

/**
 * ソーステキストの情報を格納するクラス。
 */
public class BlancoTextConverterSrcTxtStructure {
    /**
     * フィールド [Subject]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["無題"]<br>
     * タイトル。
     */
    private String fSubject = "無題";

    /**
     * フィールド [Description]
     *
     * 項目の型 [java.lang.String]<br>
     * 説明。
     */
    private String fDescription;

    /**
     * フィールド [Keywords]
     *
     * 項目の型 [java.lang.String]<br>
     * キーワード。
     */
    private String fKeywords;

    /**
     * フィールド [Date]
     *
     * 項目の型 [java.util.Date]<br>
     * 日付。
     */
    private Date fDate;

    /**
     * フィールド [lineList]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * ボディの行リスト。Stringが配列格納されます。
     */
    private List fLineList = new java.util.ArrayList();

    /**
     * フィールド [Subject]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * タイトル。
     *
     * @param argSubject フィールド[Subject]に格納したい値
     */
    public void setSubject(final String argSubject) {
        fSubject = argSubject;
    }

    /**
     * フィールド[Subject]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["無題"]<br>
     * タイトル。
     *
     * @return フィールド[Subject]に格納されている値
     */
    public String getSubject() {
        return fSubject;
    }

    /**
     * フィールド [Description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 説明。
     *
     * @param argDescription フィールド[Description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[Description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 説明。
     *
     * @return フィールド[Description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * フィールド [Keywords]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * キーワード。
     *
     * @param argKeywords フィールド[Keywords]に格納したい値
     */
    public void setKeywords(final String argKeywords) {
        fKeywords = argKeywords;
    }

    /**
     * フィールド[Keywords]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * キーワード。
     *
     * @return フィールド[Keywords]に格納されている値
     */
    public String getKeywords() {
        return fKeywords;
    }

    /**
     * フィールド [Date]のセッターメソッド
     *
     * 項目の型 [java.util.Date]<br>
     * 日付。
     *
     * @param argDate フィールド[Date]に格納したい値
     */
    public void setDate(final Date argDate) {
        fDate = argDate;
    }

    /**
     * フィールド[Date]のゲッターメソッド
     *
     * 項目の型 [java.util.Date]<br>
     * 日付。
     *
     * @return フィールド[Date]に格納されている値
     */
    public Date getDate() {
        return fDate;
    }

    /**
     * フィールド [lineList]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * ボディの行リスト。Stringが配列格納されます。
     *
     * @param argLineList フィールド[lineList]に格納したい値
     */
    public void setLineList(final List argLineList) {
        fLineList = argLineList;
    }

    /**
     * フィールド[lineList]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * ボディの行リスト。Stringが配列格納されます。
     *
     * @return フィールド[lineList]に格納されている値
     */
    public List getLineList() {
        return fLineList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.text.converter.valueobject.BlancoTextConverterSrcTxtStructure[");
        buf.append("Subject=" + fSubject);
        buf.append(",Description=" + fDescription);
        buf.append(",Keywords=" + fKeywords);
        buf.append(",Date=" + fDate);
        buf.append(",lineList=" + fLineList);
        buf.append("]");
        return buf.toString();
    }
}
